Reset Search
 

 

Article

KB40660 - [SBR] - Troubleshooting the Steel-Belted Radius Administrator Console

« Go Back

Information

 
Last Modified Date6/1/2017 8:04 PM
Synopsis
This article will discuss a few troubleshooting and corrective steps a user can take if the Admin UI is not launching or deploying.
Problem or Goal
Regain access to the SBR Admin utility
Cause
There are many things that can cause the Steel-Belted Radius Admin Console to fail to launch.

First and foremost, you must be using a supported browser and version of Java on the computer where the administrator interface is to be used.  Please refer to the Release Notes for your version of SBR.

Java
  • The administrator utility is a 32 bit Java based application and as such, the version of Java that is running must also be 32 bit. 
  • The admin utility has been updated from that used in SBR 6.0x and 6.1x.  Pulse Secure strongly recommends using Java 1.8 but version 1.7 should also work.
  • Starting with Java 1.8u131, Oracle changed the signing requirements for the JAR files and other libraries used.  Prior to Java 1.8u131, a RSAMD5 signature was allowed.  Starting in the 131 update, Oracle now requires a SHA2 based signature.  Steel-Belted Radius 6.24 will be the first release to have the updated signatures included.  If you are encountering errors after updating to Java 1.8u131, you should upgrade to Steel-Belted Radius 6.24 OR roll-back to an earlier version of Java until you can upgrade to Steel-Belted Radius 6.24
  • Multiple versions of Java installed on the PC may also cause issues.  It is recommended that only one version of 32 bit Java be running on a system at a time.
  • To troubleshoot issues relating to Java, we recommend that you enable the Jave debugging console and enable logging.  These settings are accessed via the Java Control Panel.  Select the Advanced tab and then select "Enable Logging" and "Show Console".  When Java is invoked, the Java console will launch.  Review the logs and search for any error messages and troubleshoot them as needed. 

Supported browsers:
The browser used to launch the SBR admin tool MUST support Java via the NPAPI interface  or Active-X.

Google Chrome
Google has removed support for Java starting in Chrome 42 as it had dropped support for the NPAPI interface.  The SBR Admin utilizes the NPAPI interface to work with Java on browsers that do not support Active-X.  Since NPAPI is deprecated, Chrome will not work unless a third party Java plug-in adds NPAPI back for special use cases.  Pulse Secure is not aware of any such plug-ins nor can we recommend any.

Mozilla Firefox
Mozilla has dropped NPAPI from Firefox starting in Firefox 52.  So, the last version of Firefox that will work with the SBR Admin is Firefox 51.  This version is available from the FIrefox archives.

Microsoft Internet Explorer
Internet Explorer uses Active-X for launching the SBR admin deployer.  There is a .cab file that is pushed to the browser the first time the "LAUNCH" button is clicked.  You still must have Java installed with the appropriate extensions installed in order for Internet Explorer to support it.  Internet Explorer has been qualified with SBR 6.2x and is the most reliable browser at this point. 
NOTE: On some Windows operating systems, it may be necessary to run IE in "compatibility mode" in order to launch the deployer cab file.  To do this, select the settings icon on the right side of the browser and select "Compatibility Mode" and add the SBR web page to the list of sites. 

You should also refer to https://kb.pulsesecure.net/articles/Pulse_Secure_Article/KB40099 for additional troubleshooting steps if you are upgrading from an earlier version of SBR (prior to 6.2x)

 
Solution
We have found that the following combinations work in our testing.

Internet Explorer 11 with Java 1.8u131 (using Steel-Belted Radius 6.24)
Internet Explorer 11 with Java 1.8u101 (using Steel-Belted Radius 6.23 and earlier)
Firefox 51.0.1 with Java 1.8u131 (using Steel-Belted Radius 6.24)
Firefox 51.0.1 with Java 1.8u101  (using Steel-Belted Radius 6.23 and earlier)

Refer to the previous section for more specific details.

We would also recommend that if you encounter any issues launching the SBR admin console on a server platform that you try to use a workstation with any of the above browser / Java combinations.  Server operating systems will often lock down Internet Explorer to the point where some applications will not work.  To verify that the issue is not related to the SBR installation itself, try a different PC as a test.
Related Links
Attachment 1 
Created ByCraig Brauckmiller

Feedback

 

Was this article helpful?


   

Feedback

Please tell us how we can make this article more useful.

Characters Remaining: 255